Name:           higlayout
Version:        1.0
Release:        4%{?dist}
Summary:        Easy to use and powerful layout manager for Java
Group:          System Environment/Libraries
License:        LGPLv2+
URL:            http://www.autel.cz/dmi/tutorial.html
Source0:        http://www.autel.cz/dmi/HIGLayout%{version}.zip
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  java-javadoc java-gcj-compat-devel

%description
%{summary}.


%package        javadoc
Summary:        Java API documentation for %{name}
Group:          Documentation

%description    javadoc
%{summary}.


%prep
%setup -q -c
sed -i -e 's/\r//g' examples/*.java tutorial/*.html *.txt
rm -r apidoc/*


%build
pushd src
%{javac} cz/autel/dmi/*.java
%{jar} cf ../%{name}.jar cz/autel/dmi/*.class
%{javadoc} -link %{_javadocdir}/java -d ../apidoc cz.autel.dmi
popd


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_javadir}
mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}

install -p -m 644 %{name}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
ln -s %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

cp -a apidoc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name}

aot-compile-rpm


%clean
rm -rf $RPM_BUILD_ROOT


%post
if [ -x %{_bindir}/rebuild-gcj-db ]; then
  %{_bindir}/rebuild-gcj-db || :
fi

%postun
if [ -x %{_bindir}/rebuild-gcj-db ]; then
  %{_bindir}/rebuild-gcj-db || :
fi

%post javadoc
rm -f %{_javadocdir}/%{name} && \
ln -s %{name}-%{version} %{_javadocdir}/%{name} || :


%files
%defattr(-,root,root,-)
%doc Changes.txt LGPLicense.txt readme.txt examples/ tutorial/
%{_javadir}/%{name}*.jar
%{_libdir}/gcj/%{name}

%files javadoc
%defattr(-,root,root,-)
%doc %{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}


%changelog
* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.0-2
- Autorebuild for GCC 4.3

* Sun Sep 23 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 1.0-1
- Prepared old specfile by Ville for Fedora review submission

* Sat Sep 30 2006 Ville Skyttä <ville.skytta at iki.fi> - 1.0-0.2
- Rebuild.

* Sun Mar 19 2006 Ville Skyttä <ville.skytta at iki.fi> - 1.0-0.1
- First build.
